#!/bin/bash
# {{ ansible_managed }}
#
# Call without argument to import all configured sources or set an argument-flux-workflow-link (like 'twillo') to import a single source

if [ -z "$1" ]; then
  PROCESSES=$(find {{ oerindex_etl_configdir }}-enabled -maxdepth 1 -type l ! -name "*.fix" ! -name "*.xml")
else
  PROCESSES="{{ oerindex_etl_configdir }}/${1}"
fi

export OERSI_ETL_OPTS="-Dlog4j.configuration=file:{{ oerindex_etl_configdir }}/log4j.properties"
for PROCESS_ARG in $PROCESSES
do
  echo "Running ETL import with $PROCESS_ARG"
  cd {{ oerindex_etl_downloaddir }} && ./build/install/oersi-etl/bin/oersi-etl $PROCESS_ARG {{ oerindex_etl_configdir }}/oersi.properties
done

{{ base_dir }}/bin/create-sitemap.sh
